Pending

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Pending
Eldbus

## Functions
void | eldbus_pending_data_set (Eldbus_Pending *pending, const char *key, const void *data)
| Set data to a Eldbus_Pending object.
void * | eldbus_pending_data_get (const Eldbus_Pending *pending, const char *key)
| Get the data set to a Eldbus_Pending object.
void * | eldbus_pending_data_del (Eldbus_Pending *pending, const char *key)
| Delete the data set to a Eldbus_Pending object.
void | eldbus_pending_cancel (Eldbus_Pending *pending)
| Cancel the pending message.
const char * | eldbus_pending_destination_get (const Eldbus_Pending *pending)
| Get the destination of the pending message.
const char * | eldbus_pending_path_get (const Eldbus_Pending *pending)
| Get the path of the pending message.
const char * | eldbus_pending_interface_get (const Eldbus_Pending *pending)
| Get the interface of the pending message.
const char * | eldbus_pending_method_get (const Eldbus_Pending *pending)
| Get the method of the pending message.
void | eldbus_pending_free_cb_add (Eldbus_Pending *pending, Eldbus_Free_Cb cb, const void *data)
| Add a callback function to be called when pending will be freed.
void | eldbus_pending_free_cb_del (Eldbus_Pending *pending, Eldbus_Free_Cb cb, const void *data)
| Remove callback registered in eldbus_pending_free_cb_add().

## Detailed Description

## Function Documentation

## ◆ eldbus_pending_data_set()

void eldbus_pending_data_set | ( | Eldbus_Pending * | pending,
|  | const char * | key,
|  | const void * | data
| ) |  |

Set data to a Eldbus_Pending object.

Parameters

  pending | The Eldbus_Pending object on which the data is set.
  key | A string corresponding to the key associated with the data.
  data | The data to set to the Eldbus_Pending object.

References EINA_SAFETY_ON_NULL_RETURN.

Referenced by eldbus_connection_send(), and eldbus_object_send().

## ◆ eldbus_pending_data_get()

void * eldbus_pending_data_get | ( | const Eldbus_Pending * | pending,
|  | const char * | key
| ) |  |

Get the data set to a Eldbus_Pending object.

Parameters

  pending | The Eldbus_Pending object on which the data is set.
  key | A string corresponding to the key associated with the data.

Returns
  The data set to the Eldbus_Pending object.

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ eldbus_pending_data_del()

void * eldbus_pending_data_del | ( | Eldbus_Pending * | pending,
|  | const char * | key
| ) |  |

Delete the data set to a Eldbus_Pending object.

Parameters

  pending | The Eldbus_Pending object on which the data is set.
  key | A string corresponding to the key associated with the data.

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ eldbus_pending_cancel()

void eldbus_pending_cancel | ( | Eldbus_Pending * | pending | ) |

Cancel the pending message.

Parameters

  pending | The Eldbus_Pending object corresponding to the pending message.

References EINA_SAFETY_ON_NULL_RETURN, ELDBUS_ERROR_PENDING_CANCELED, and eldbus_message_error_new().

Referenced by ethumb_client_generate_cancel(), and ethumb_client_generate_cancel_all().

## ◆ eldbus_pending_destination_get()

const char * eldbus_pending_destination_get | ( | const Eldbus_Pending * | pending | ) |

Get the destination of the pending message.

Parameters

  pending | The Eldbus_Pending object.

Returns
  A string corresponding to the destination of the message.

## ◆ eldbus_pending_path_get()

const char * eldbus_pending_path_get | ( | const Eldbus_Pending * | pending | ) |

Get the path of the pending message.

Parameters

  pending | The Eldbus_Pending object.

Returns
  A string corresponding to the path of the message.

## ◆ eldbus_pending_interface_get()

const char * eldbus_pending_interface_get | ( | const Eldbus_Pending * | pending | ) |

Get the interface of the pending message.

Parameters

  pending | The Eldbus_Pending object.

Returns
  A string corresponding to the interface of the message.

## ◆ eldbus_pending_method_get()

const char * eldbus_pending_method_get | ( | const Eldbus_Pending * | pending | ) |

Get the method of the pending message.

Parameters

  pending | The Eldbus_Pending object.

Returns
  A string corresponding to the method of the message.

## ◆ eldbus_pending_free_cb_add()

void eldbus_pending_free_cb_add | ( | Eldbus_Pending * | pending,
|  | Eldbus_Free_Cb | cb,
|  | const void * | data
| ) |  |

Add a callback function to be called when pending will be freed.

Parameters

  pending | The Eldbus_Pending object on which the callback is registered.
  cb | The callback to register.
  data | The data to pass to the callback.

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ eldbus_pending_free_cb_del()

void eldbus_pending_free_cb_del | ( | Eldbus_Pending * | pending,
|  | Eldbus_Free_Cb | cb,
|  | const void * | data
| ) |  |

Remove callback registered in eldbus_pending_free_cb_add().

Parameters

  pending | The Eldbus_Pending object on which the callback was registered.
  cb | The callback that was registered.
  data | The data passed to the callback.

References EINA_SAFETY_ON_NULL_RETURN.